package edu.whs.spin2018.baoapp.model.spiel.spieler;

import edu.whs.spin2018.baoapp.model.spiel.BaoSpiel;
import edu.whs.spin2018.baoapp.model.spiel.Position;

public class ComputerSpielerEinfach extends ComputerSpieler {

    public ComputerSpielerEinfach(String name) {
        super(name);
    }


    @Override
    public Position generiereStartmulde() {
        Position position = null;
        int anzahlSteine = -1;
        for(int i = 0; i < 2; i++) {
            for(int j = 0; j < 8; j++) {
                if (gibBaoSpiel().gibSpielbrett()[i][j].gibAnzahlSteine() > anzahlSteine) {
                    anzahlSteine = gibBaoSpiel().gibSpielbrett()[i][j].gibAnzahlSteine();
                    position = new Position(i,j);
                }
            }
        }

        return position;
    }
}
